#include "options.ih"

void Options::openConfig()
{
    d_defaultConfig = not d_arg->option(&d_configFile, "configfile");

    if (d_defaultConfig)
        d_configFile = s_configFile;

    d_configExists = Stat{d_configFile};

    if (Stat{d_configFile})
        d_arg->open(d_configFile);
}
